@if (componentData$ | async; as componentData) {
  <sqtm-core-customisable-dialog
    [titleKey]="
      'sqtm-core.administration-workspace.system.report-templates.dialog.add.title'
        | translate
    "
  >
    <sqtm-core-dialog-body>
      @if (componentData.currentStep === 'CONFIGURATION') {
        <div class="m-b-10 flex-column" style="justify-content: space-evenly">
          <div class="flex-row" style="margin: auto 0 auto 0">
            <label class="label label__align_right">
              {{
                'sqtm-core.administration-workspace.system.report-templates.dialog.add.template-picker.label'
                  | translate
              }}
            </label>
            <sqtm-core-attachment-file-selector
              style="margin: 5px 15px"
              [displayButton]="true"
              [buttonI18nKey]="
                'sqtm-core.administration-workspace.system.report-templates.dialog.add.template-picker.message'
              "
              [multiple]="false"
              (uploadFilesEvent)="addAttachment($event)"
              [restrictionFiles]="getRestrictionFiles()"
            >
              {{
                componentData.file
                  ? componentData.file.name
                  : ('sqtm-core.administration-workspace.system.report-templates.dialog.add.template-picker.no-template-selected'
                    | translate)
              }}
            </sqtm-core-attachment-file-selector>
          </div>
          @if (wrongFileFormat) {
            <span
              [attr.data-test-dialog-span-id]="'wrong-format'"
              class="sqtm-core-error-message"
              >{{ getWrongFileKey() | translate }}</span
            >
          }
          <div style="margin-top: 10px">
            <span class="reminder-message">
              {{
                'sqtm-core.administration-workspace.system.report-templates.dialog.add.add-template-warning'
                  | translate
              }}
            </span>
          </div>
        </div>
      } @else {
        <span>{{
          'sqtm-core.administration-workspace.system.report-templates.dialog.add.confirm-add'
            | translate
        }}</span>
      }
    </sqtm-core-dialog-body>
    <sqtm-core-dialog-footer>
      @if (componentData.currentStep === 'CONFIGURATION') {
        <div>
          <button
            [attr.data-test-dialog-button-id]="'add'"
            class="flex-fixed-size m-l-10"
            nz-button
            nzType="primary"
            (click)="handleAdd($event, componentData.file)"
          >
            {{ 'sqtm-core.generic.label.add' | translate }}
          </button>
          <button
            [attr.data-test-dialog-button-id]="'cancel'"
            class="flex-fixed-size m-l-10"
            nz-button
            nzType="default"
            sqtmCoreDialogClose
            (click)="handleCancel()"
          >
            {{ 'sqtm-core.generic.label.cancel' | translate }}
          </button>
        </div>
      } @else {
        <button
          [attr.data-test-dialog-button-id]="'confirm'"
          class="flex-fixed-size m-l-10"
          nz-button
          nzType="primary"
          (click)="handleConfirm(componentData.file)"
        >
          {{ 'sqtm-core.generic.label.confirm' | translate }}
        </button>
        <button
          [attr.data-test-dialog-button-id]="'cancel'"
          class="flex-fixed-size m-l-10"
          nz-button
          nzType="default"
          sqtmCoreDialogClose
          (click)="handleCancel()"
        >
          {{ 'sqtm-core.generic.label.cancel' | translate }}
        </button>
      }
    </sqtm-core-dialog-footer>
    <ng-template #confirm>
      <span>{{
        'sqtm-core.administration-workspace.system.report-templates.dialog.add.confirm-add'
          | translate
      }}</span>
    </ng-template>
  </sqtm-core-customisable-dialog>
}
